Bug 17025 - /sbin/service outputs /etc/init.d instead of /etc/rc.d/init.d
Summary: /sbin/service outputs /etc/init.d instead of /etc/rc.d/init.d
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-28 06:51 UTC by giulioo
Modified: 2014-03-17 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-28 06:51:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description giulioo 2000-08-28 06:51:39 UTC
# rpm -q initscripts
initscripts-5.46-1
# /sbin/service smb testing
Usage: /etc/init.d/smb {start|stop|restart|status|condrestart}
# /sbin/service mysqld testing
Usage: /etc/init.d/mysqld {start|stop|status|reload|condrestart|restart}
#

I think that, for consistency reasons, it should say 
Usage: /etc/rc.d/init.d/smb  ....
Usage: /etc/rc.d/init.d/mysqld ....
that is, it should use the real file names and not the symlinks.

Comment 1 Bill Nottingham 2000-08-29 18:07:34 UTC
Both paths are vaild on a pinstripe and later system, so we
probably won't change this.


Note You need to log in before you can comment on or make changes to this bug.